# -*- coding: utf-8 -*-
from distutils.core import setup

packages = \
['phink']

package_data = \
{'': ['*'], 'phink': ['templates/*']}

install_requires = \
['livereload>=2.6,<3.0',
 'recommonmark>=0.6.0,<0.7.0',
 'sphinx>=2.2,<3.0',
 'sphinx_rtd_theme>=0.4.3,<0.5.0']

entry_points = \
{'console_scripts': ['phink = phink.cli:main']}

setup_kwargs = {
    'name': 'phink',
    'version': '0.1.0',
    'description': 'Phink provides a convenient wrapper around Sphinx to make project documentation a breeze.',
    'long_description': "# Phink\n\n<!--\nThis `README.md` file was autogenerated by **Phink**.\nYou can replace it with a description of your project.\n\nThis file is saved to your root project directory and symlinked into the `doc/` directory.\n-->\n\n**Phink** provides a convenient wrapper around [Sphinx](http://www.sphinx-doc.org) to make project documentation a breeze.\n\n* Super easy to setup and build\n* Write your docs in [Markdown](https://recommonmark.readthedocs.io)\n* Automatically [rebuild and reload](https://livereload.readthedocs.io) during development\n* Extract docstrings for [API documentation](http://www.sphinx-doc.org/en/master/usage/extensions/napoleon.html)\n\n## Installation\n```sh\n    pip install phink\n```\n\n## Getting Started\n\n**Create** a set of sample documentation files:\n\n```sh\n    cd your_project_directory\n    phink init\n```\n\n**Build** and serve the HTML output:\n\n```sh\n    phink serve\n```\n\n**Edit** the files in the `doc/` directory to your liking.\nThe documentation will be rebuilt and reloaded automatically in your browser.\n\n**Commit** and push to your Git repository.\nMake sure you don't commit the `doc/_build` directory.\n\n**Publish** to ReadTheDocs by following the [RTD import documentation](https://docs.readthedocs.io/en/stable/intro/import-guide.html).\n",
    'author': 'sneakypete81',
    'author_email': 'sneakypete81@gmail.com',
    'url': 'https://github.com/sneakypete81/clickshot',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'entry_points': entry_points,
    'python_requires': '>=3.6,<4.0',
}


setup(**setup_kwargs)
